/*
 * Javascript functions to make a popup div.
 *
 * Jim Lund, 1/2010 
 */

function Im_load () {
  for(i=0;i<document.images.length;i++) {
    Im = document.images[i];
    if (Im.id) {

//      Event.observe(Im.id, 'mouseover', popIm);
      Event.observe(Im.id, 'click', flipIm);
//      Event.observe(Im.id, 'mouseout', leaveIm);

      Im.popupIm = new Image();
      Im.popupIm.src = '../temp/'+Im.id+'.png';
    }
  }
}

Event.observe(window, 'load', function() {
  for(i=0;i<document.images.length;i++) {
    Im = document.images[i];
    if (Im.id && !Im.popupIm) {

//      Event.observe(Im.id, 'mouseover', popIm);
      Event.observe(Im.id, 'click', flipIm);
//      Event.observe(Im.id, 'mouseout', leaveIm);

      Im.popupIm = new Image();
      Im.popupIm.src = 'gallery/'+Im.id+'.png';
    }
  }
});


function popIm (p) {

//  ev = ev || window.event;

//  var x = ev.pageX ? ev.pageX : ev.clientX;
//  var y = ev.pageY ? ev.pageY : ev.clientY;

  var pop = 'pop_'+p.id;

  if (!$(pop)) {
    new Insertion.Bottom(document.body, '<div id="'+pop+'" class="Lpop"><img src="'+p.popupIm.src+'">'+$(p.id+'_div').innerHTML+'</div>');
    Event.observe(pop, 'mouseout', flipIm);
    Event.observe(pop, 'click', flipIm);
  }

  var pg = getPageSize();
  var scroll = document.viewport.getScrollOffsets();
  var x, y;
  if (500 >= pg[2]) { x = 0; }
  else { x = (pg[2] - 500) / 2; }
  if (600 >= pg[3]) { y = scroll.top; }
  else { y = (pg[3] - 600) / 2 + scroll.top; }

  $(pop).style.top = y;
  $(pop).style.left = x;

  $(pop).style.visibility = 'visible';
}


function unpopIm (p) {
  p.style.visibility = 'hidden';
}

function flipIm (ev) {
  if (!this.style.visibility || this.style.visibility.value == 'hidden') { popIm(this); }
  else { unpopIm(this); }

  ev.returnValue=false;
}


function getPageSize () {
    var xScroll, yScroll;

    if (window.innerHeight && window.scrollMaxY) {
      xScroll = document.body.scrollWidth;
      yScroll = window.innerHeight + window.scrollMaxY;
    } else if (document.body.scrollHeight > document.body.offsetHeight){ // all but Explorer Mac
      xScroll = document.body.scrollWidth;
      yScroll = document.body.scrollHeight;
    } else { // Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari
      xScroll = document.body.offsetWidth;
      yScroll = document.body.offsetHeight;
    }

    var windowWidth, windowHeight;
    if (self.innerHeight) {     // all except Explorer
      windowWidth = self.innerWidth;
      windowHeight = self.innerHeight;
    } else if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode
      windowWidth = document.documentElement.clientWidth;
      windowHeight = document.documentElement.clientHeight;
    } else if (document.body) { // other Explorers
      windowWidth = document.body.clientWidth;
      windowHeight = document.body.clientHeight;
    }  
   
    // for small pages with total height less then height of the viewport
    if(yScroll < windowHeight){
      pageHeight = windowHeight;
    } else {
      pageHeight = yScroll;
    }

    // for small pages with total width less then width of the viewport
    if(xScroll < windowWidth){
      pageWidth = windowWidth;
    } else {
      pageWidth = xScroll;
    }

    arrayPageSize = new Array(pageWidth,pageHeight,windowWidth,windowHeight);
    return arrayPageSize;
  }

